Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0002102 [ardour] features feature always 2008-02-25 16:35 2009-11-16 07:04
Reporter b0ef View Status public  
Assigned To paul
Priority normal Resolution fixed  
Status resolved   Product Version 3.X git (version in description)
Summary 0002102: Configuration Files
Description It would be nice if ardour could follow the freedesktop standard for configuration files.

http://standards.freedesktop.org/basedir-spec/latest/ar01s03.html [^]
Additional Information
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0004753)
paul (administrator)
2008-02-25 17:14

what problem would it solve? what new features would it bring?
(0005885)
b0ef (reporter)
2009-04-11 07:46

Well, you're supposed to put the configuration files in ~/.config, not mess up the home directory with your own ~/.ardour*

;)
(0005887)
paul (administrator)
2009-04-11 13:09

alas, you didn't answer the question. to backup *my* case, i offer ls -d ~/.??*:

.albumart .ccache .emusicj .gconf .gstreamer-0.10 .icons .metacity .pulse-cookie .subversion .Xauthority
.aliases .config .environment .gconfd .gtk-bookmarks .inkscape .mozilla .purple .tagtoolrc .xchat2
.ardour2 .cvspass .environment~ .gegl-0.0 .gtkrc-1.2-gnome2 .jackdrc .mplayer .qt .themes .xmms
.ardour3 .dbus .esd_auth .gimp-2.4 .gvfs .kde .nautilus .realplayerrc .thumbnails .xsession-errors
.bash_history .dmrc .evolution .gimp-2.6 .hdsp_simple.mix .ladspa .netx .recently-used.xbel .tomboy .zcompdump
.bash_logout .emacs .fontconfig .gnome .hplip .local .openoffice .rezound .tomboy.log .zshenv
.bash_profile .emacs~ .functions .gnome2 .hydrogen .mailcap .openoffice.org .rubberband.wisdom.d .transmission .zshrc
.bashrc .emacs.d .gaim .gnome2_private .ICEauthority .mcop .openoffice.org2.0 .rubberband.wisdom.f .Trash
.cache .emusic .gcjwebplugin .gnupg .icedteaplugin .mcoprc .pulse .ssh .wapi
(0005930)
b0ef (reporter)
2009-04-28 15:38

Well, this is the free desktop pseudo standard and it would be nice if applications started following it.

You're supposed to read the $XDG_CONFIG_HOME variable to decide where to store the applications configuration files. Not all applications does this, as you've demonstrated, but this pseudo standard is supposed to help us achieve some consistency and order.
(0007090)
b0ef (reporter)
2009-11-08 15:20

This just went into ardour-3 RCS

Please close this bug.
(0007124)
paul (administrator)
2009-11-16 07:04

see notes.

- Issue History
Date Modified Username Field Change
2008-02-25 16:35 b0ef New Issue
2008-02-25 17:14 paul Note Added: 0004753
2008-02-25 17:14 paul Status new => feedback
2009-04-11 07:46 b0ef Note Added: 0005885
2009-04-11 13:09 paul Note Added: 0005887
2009-04-28 15:38 b0ef Note Added: 0005930
2009-07-04 19:22 seablade Severity minor => feature
2009-07-04 19:22 seablade Status feedback => acknowledged
2009-07-04 19:22 seablade Description Updated
2009-11-08 15:20 b0ef Note Added: 0007090
2009-11-16 07:04 paul cost => 0.00
2009-11-16 07:04 paul Note Added: 0007124
2009-11-16 07:04 paul Status acknowledged => resolved
2009-11-16 07:04 paul Resolution open => fixed
2009-11-16 07:04 paul Assigned To => paul


Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker